package cz.cvut.kbss.reporting.persistence.dao;

import cz.cvut.kbss.reporting.model.OccurrenceReport;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public class OccurrenceReportDao extends BaseDao<OccurrenceReport> {

    public OccurrenceReportDao() {
        super(OccurrenceReport.class);
    }

    @Override
    public List<OccurrenceReport> findAll() {
        return em.createNamedQuery("OccurrenceReport.findAll", OccurrenceReport.class).getResultList();
    }
}
