package cz.cvut.kbss.reporting.rest.mapper;

import cz.cvut.kbss.reporting.dto.OccurrenceDto;
import cz.cvut.kbss.reporting.dto.OccurrenceReportDto;
import cz.cvut.kbss.reporting.dto.PersonDto;
import cz.cvut.kbss.reporting.model.Occurrence;
import cz.cvut.kbss.reporting.model.OccurrenceReport;
import cz.cvut.kbss.reporting.model.Person;
import org.mapstruct.Mapper;

@Mapper(componentModel = "spring")
public abstract class DtoMapper {

    public abstract OccurrenceReportDto reportToReportDto(OccurrenceReport report);

    public abstract OccurrenceDto occurrenceToOccurrenceDto(Occurrence occurrence);

    public abstract Person personDtoToPerson(PersonDto dto);
}
